Skip to main content
PUT
/
webhooks
/
2026-03
/
{appId}
/
settings
Update webhook settings
curl --request PUT \
  --url https://api.hubapi.com/webhooks/2026-03/{appId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetUrl": "<string>",
  "throttling": {
    "maxConcurrentRequests": 123
  }
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "targetUrl": "<string>",
  "throttling": {
    "maxConcurrentRequests": 123
  },
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

Body

application/json
targetUrl
string
required

A publicly available URL for Hubspot to call where event payloads will be delivered. See link-so-some-doc [blocked] for details about the format of these event payloads.

throttling
object
required

Response

successful operation

createdAt
string<date-time>
required

When this subscription was created. Formatted as milliseconds from the Unix epoch [blocked].

targetUrl
string
required

A publicly available URL for Hubspot to call where event payloads will be delivered. See link-so-some-doc [blocked] for details about the format of these event payloads.

throttling
object
required
updatedAt
string<date-time>

When this subscription was last updated. Formatted as milliseconds from the Unix epoch [blocked].

Last modified on April 14, 2026